Support » Plugin: Template Debugger » A must have

  • It make the process of theme customization so much easier, I use it on every WordPress website I develop !

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author ChubbyNinjaa

    (@chubbyninjaa)

    Thank you for taking the time to review – I’m happy you find it as useful as I do! if you have any suggestions for improving/extending please let me know 🙂

    The plugin is quite perfect but there is actually quite few things you can do to make it better 😀

    rename the php file so that it matches the name of plugin (easier for debugging and better for consitency),

    and correct some php errors 😛 Here is from Debug Bar plugin :

    NOTICE: E:\Web\wamp\www\wordpress\wp-content\plugins\quick-edit-template-link\quick-edit-template-link.php:73 - Undefined offset: 1
    require('E:\Web\wamp\www\wordpress\wp-blog-header.php'), require_once('E:\Web\wamp\www\wordpress\wp-includes\template-loader.php'), include('E:\Web\wamp\www\wordpress\wp-content\themes\twentythirteen\single.php'), get_footer, locate_template, load_template, require_once('E:\Web\wamp\www\wordpress\wp-content\themes\twentythirteen\footer.php'), wp_footer, do_action('wp_footer'), call_user_func_array, wp_admin_bar_render, do_action_ref_array, call_user_func_array, chubby_ninja_admin_bar_link

    Thanks 😀

    Plugin Author ChubbyNinjaa

    (@chubbyninjaa)

    Thanks, I’ve fixed the error above, and I’ve changed the enqueue label to template-debugger, thing is, i cannot change the directory or .php as WP won’t allow it changed, i’d have to release as a new plugin with that slug

    Thanks !

    You are right, we cannot change WP slug. ok 🙂

    I still have some PHP errors on a particular website (it is a tets website, with only 2016 Default theme, Site Private, Debug Bar and Template Debugger plugin actually active).

    Here are the erros :

    NOTICE: wp-content/plugins/quick-edit-template-link/quick-edit-template-link.php:65 - Only variables should be passed by reference
    require('wp-blog-header.php'), require_once('wp-includes/template-loader.php'), include('/themes/twentysixteen/page.php'), get_footer, locate_template, load_template, require_once('/themes/twentysixteen/footer.php'), wp_footer, do_action('wp_footer'), wp_admin_bar_render, do_action_ref_array, chubby_ninja_admin_bar_link
    NOTICE: wp-content/plugins/quick-edit-template-link/quick-edit-template-link.php:68 - Only variables should be passed by reference
    require('wp-blog-header.php'), require_once('wp-includes/template-loader.php'), include('/themes/twentysixteen/page.php'), get_footer, locate_template, load_template, require_once('/themes/twentysixteen/footer.php'), wp_footer, do_action('wp_footer'), wp_admin_bar_render, do_action_ref_array, chubby_ninja_admin_bar_link
    NOTICE: wp-content/plugins/quick-edit-template-link/quick-edit-template-link.php:210 - Only variables should be passed by reference
    require('wp-blog-header.php'), require_once('wp-includes/template-loader.php'), include('/themes/twentysixteen/page.php'), get_footer, locate_template, load_template, require_once('/themes/twentysixteen/footer.php'), wp_footer, do_action('wp_footer'), wp_admin_bar_render, do_action_ref_array, chubby_ninja_admin_bar_link, parse_includes

    But surprisingly I don’t have these issues on other websites that have way more plugins activated.
    I hope it helps you fine tune the plugin anyway 🙂

    Thanks again for your plugin and your service !

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘A must have’ is closed to new replies.